# The Red Matrix: RedBrowser Class Reference

All Classes Namespaces Files Functions Variables Pages
RedBrowser Class Reference
Inheritance diagram for RedBrowser:

## Public Member Functions

| __construct (&$auth)
| set_writeable ()
| generateDirectoryIndex ($path)
| Creates the directory listing for the given path. More...
| userReadableSize ($size)
| htmlActionsPanel (DAV\INode $node, &$output)

## Protected Member Functions

| getAssetUrl ($assetName)
| findAttachHash ($owner, $parentHash, $attachName)
| findAttachIdByHash ($attachHash)

## Private Attributes

| $auth

## Detailed Description

RedBrowser class.

## Constructor & Destructor Documentation

RedBrowser::__construct | ( | & | $auth | ) |

## Member Function Documentation

RedBrowser::findAttachHash | ( |  | $owner,
|  |  | $parentHash,
|  |  | $attachName
| ) |  |

protected

Referenced by generateDirectoryIndex().

RedBrowser::findAttachIdByHash | ( |  | $attachHash | ) |

protected

Referenced by generateDirectoryIndex().

RedBrowser::generateDirectoryIndex | ( |  | $path | ) |

Creates the directory listing for the given path.

Parameters

  string | $path | which should be displayed

RedBrowser::getAssetUrl | ( |  | $assetName | ) |

protected

This method takes a path/name of an asset and turns it into url suiteable for http access.

Parameters

  string | $assetName |

Returns
  string

Referenced by generateDirectoryIndex().

RedBrowser::htmlActionsPanel | ( | DAV\INode | $node,
|  | & | $output
| ) |  |

Creates a form to add new folders and upload files.

Parameters

  DAV\INode | $node |
  string | &$output |

RedBrowser::set_writeable | ( |  | ) |

RedBrowser::userReadableSize | ( |  | $size | ) |

Referenced by generateDirectoryIndex().

## Member Data Documentation

RedBrowser::$auth

private

Referenced by __construct().

The documentation for this class was generated from the following file:

- include/reddav.php